Subject: [RFC 0/8] snd-aoa: add snd-aoa

From: Johannes Berg <[email-masked]>
Date: Thu, 01 Jun 2006 13:58:44 +0200

The following patches would add snd-aoa to the Linux source tree. I'm
posting them here in the spirit of getting review fairly early, it works
fine for those machines it handles and even implements headphone/line-out
detection now.

One thing that still needs to be done is fix this on the mac-mini where
apparently some things are missing from the device-tree, and on the
PowerMac7,2/7,3 where the device tree has a bug that prevents the i2sbus
module from working properly.

Other than that, it replaces snd-powermac for all layout-id machines, and
handles many more already, so once those two issues are fixed I'll also add
a patch to this patchset that removes support for any machines with a
layout-id from snd-powermac to allow snd-aoa and snd-powermac to coexist
nicely.

Any comments are appreciated.

--